// -*-C++-*-
//
// File:      RunButton.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 10 10:14:24 MET DST 2001

#ifndef RunButton_h
#define RunButton_h
#include <qtoolbutton.h>

namespace Info {class Task;} // forward declaration!

namespace OdfBrowser {

class RunButton : public QToolButton
{
  Q_OBJECT
public:
  RunButton(QToolBar * parent,const char * name = 0);
  ~RunButton();

signals:
public  slots:
  void select(Info::Task*,bool);
  void run();

protected:
private slots:
private:
  // member functions
  RunButton();
  RunButton(const RunButton&);      // copy constructor (disabled)
  RunButton& operator=(const RunButton&); // assignment (disabled)

  class TaskList;
  TaskList* _procs;
};


}; // namespace OdfBrowser

#endif
