// -*-C++-*-
//
// File:      ExposureTimeBar.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Mon Jul  9 14:06:02 MET DST 2001

#ifndef ExposureTimeBar_h
#define ExposureTimeBar_h
#include "STime.h"
#include <qwidget.h>

namespace OdfBrowser {

class ExposureTimeBar : public QWidget
{
  Q_OBJECT
public:
  ExposureTimeBar(const STime& start,const STime& stop,int width,
		  QWidget* parent=0, const char* name=0);
  virtual ~ExposureTimeBar();

signals:

public  slots:

private slots:

protected:
  // only derived classes can use these
  virtual void paintEvent ( QPaintEvent * );

private:
  // member functions
  ExposureTimeBar(const ExposureTimeBar&);            // copy constructor (disabled)
  ExposureTimeBar& operator=(const ExposureTimeBar&); // assignment (disabled)

  // member data
  STime _start;
  STime _stop;
  int _width;
};

}; // namespace OdfBrowser

#endif
