// -*-C++-*-
//
// File:      FilterButton.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 17 16:33:50 MET DST 2001

#ifndef FilterButton_h
#define FilterButton_h

#include <qtoolbutton.h>
#include "OdfInfo.h"
#include "ModeType.h"

namespace OdfBrowser {

class FilterButton  : public QToolButton
{
  Q_OBJECT
public:
  FilterButton(QToolBar * parent,const char * name = 0);  
  virtual ~FilterButton();

signals:
  void filtered(Xmm::Mode,bool);
  void filtered(OdfBrowser::ModeType,bool);

public  slots:

protected:

private slots:
  void popup();


private:
  // member functions
  FilterButton();
  FilterButton(const FilterButton&);      // copy constructor (disabled)
  FilterButton& operator=(const FilterButton&); // assignment (disabled)

  bool _state;
};

}; // namespace OdfBrowser

#endif
