// -*-C++-*-
//
// File:      OdfInfoView.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Thu Jul 12 17:32:52 MET DST 2001

#ifndef OdfInfoView_h
#define OdfInfoView_h
#include <qwidget.h>
#include "Xmm.h"
#include "OdfInfo.h"

namespace OdfBrowser {

class OdfInfoView : public QWidget
{
  Q_OBJECT
public:
  OdfInfoView(const OdfInfo::Odf*,
	      QWidget* parent=0, const char* name=0);
  virtual ~OdfInfoView();

signals:

public  slots:

private slots:
  void proposalDetails();

protected:
  // only derived classes can use these

private:
  // member functions
  OdfInfoView(const OdfInfoView&);            // copy constructor (disabled)
  OdfInfoView& operator=(const OdfInfoView&); // assignment (disabled)

  // member data
  const OdfInfo::Odf* _odf;
};

}; // namespace OdfBrowser

#endif
